<?php
include('header.php'); 
if (!empty($_GET['case'])) {
$case = make_safe($_GET['case']);	
} else {
$case = '';	
}
switch ($case) {

case 'search_youtube';
if (isset($_GET['search']) AND $_GET['search'] == 1) {
if (isset($_GET['q'])) {
$q = urlencode($_GET['q']);
} else {
$q = '';	
}	
if (isset($_GET['order_by'])) {
$order_by = make_safe($_GET['order_by']);
} else {
$order_by = 'date';	
}
if (isset($_GET['page'])) {
$page = make_safe($_GET['page']);
} else {
$page = '';	
}
if (isset($_GET['max_results'])) {
$max_results = intval(make_safe($_GET['max_results']));
} else {
$max_results = 12;	
}
if (!empty($q)) {
$baseUrl = 'https://www.googleapis.com/youtube/v3/';
$apiKey = $general_setting['apikey'];
if (!empty($page)) {
$url = $baseUrl .'search?' .
    'q=' .$q.
	'&maxResults='.$max_results.
	'&order='.$order_by.
    '&part=snippet' . 
	'&type=video'.	
	'&pageToken='.$page.
    '&key=' . $apiKey;	
	
} else {
$url = $baseUrl .'search?' .
    'q=' .$q.
	'&maxResults='.$max_results.
	'&order='.$order_by.
    '&part=snippet' . 
	'&type=video'.	
    '&key=' . $apiKey;		
}
$json = json_decode(file_get_contents($url), true);	
if (count($json['items']) > 0) {
$search_results = true;	
} else {
$message = notification('warning','There are no results for the Word '.$q.' in youtube.com');	
}
} else {
$message = notification('warning','Insert the Search Word Please.');	
}
}
?>
<div class="page-header page-heading">
	<h1 class="row"><div class="col-md-6"><i class="fa fa-search"></i> Search Youtube</div>
	<div class="col-md-6">
	
	</div>
	</h1>
</div>
<div class="row">
<div class="col-md-3">
<div class="big-search-form">
	<form method="GET" action="videos.php">
		  <input type="hidden" name="case" value="search_youtube" />
		  <div class="form-group">
		  <label>Search Word</label>
		  <input type="text" name="q" class="form-control" placeholder="Search in youtube.com" value="<?php if (isset($q)) {echo urldecode($q);} ?>" />
		  </div>
		  <div class="form-group">
		  <label>Order By</label>
		  <select name="order_by" class="form-control">
		  <option value="date" <?php if (isset($order_by) AND $order_by == 'date') {echo 'SELECTED';} ?>>By Date</option>
		  <option value="rating" <?php if (isset($order_by) AND $order_by == 'rating') {echo 'SELECTED';} ?>>By Rating</option>
		  <option value="relevance" <?php if (isset($order_by) AND $order_by == 'relevance') {echo 'SELECTED';} ?>>By Relevance</option>
		  <option value="title" <?php if (isset($order_by) AND $order_by == 'title') {echo 'SELECTED';} ?>>By Title</option>
		  <option value="viewCount" <?php if (isset($order_by) AND $order_by == 'viewCount') {echo 'SELECTED';} ?>>By View Count</option>
		  </select>
		  </div>
		  <div class="form-group">
		  <label>Max Results</label>
		  <select name="max_results" class="form-control">
		  <?php for($i=12;$i<49;$i=$i+6) { ?>
		  <option value="<?php echo $i; ?>" <?php if (isset($max_results) AND $max_results == $i) {echo 'SELECTED';} ?>><?php echo $i; ?></option>
		  <?php } ?>
		  </select>
		  </div>
		  <button type="submit" name="search" value="1" class="btn btn-success btn-block">Search</button>
	</form>
</div>
<div class="big-search-form">
<?php 
$categories = $general->categories('category_order ASC');
if ($categories == 0) {
echo notification('warning','Please add at least one category to import the videos in.');	
} else {
?>
<div class="form-group">
		<label>Category</label>
		<select name="category_id" id="category_id" class="form-control">
		<?php 
		foreach ($categories AS $category) {
		?>
		<option value="<?php echo $category['id']; ?>"><?php echo $category['category']; ?></option>
		<?php			
		}
		?>
		</select>
		<p class="help">This is the category where the video will be saved when click <b><span class="text-danger"><i class="fa fa-refresh"></i> Import</span></b>.</p>
		</div>
<?php 
}
?>
</div>
</div>
<div class="col-md-9">
<?php 
if (isset($message)) {
echo $message;	
}
if (isset($search_results)) {
?>
<div class="row">
<div class="col-xs-12">
<div class="alert alert-warning">There are (<b><?php echo $json['pageInfo']['totalResults']; ?></b>) Result(s) for <b><?php echo urldecode($q); ?></b> Query.</div>	
</div>
<?php
foreach ($json['items'] AS $item) {
?>
<div class="col-md-4 col-sm-6 col-xs-12">
<div class="video">
<div class="video-thumbnail"><a href="javascript:void();" data-toggle="ajax-modal" data-url="ajax.php?case=youtube_details&id=<?php echo $item['id']['videoId']; ?>"><img src="<?php echo $item['snippet']['thumbnails']['medium']['url']; ?>" class="img-responsive" /></a></div>
<div class="video-title"><a href="javascript:void();" data-toggle="ajax-modal" data-url="ajax.php?case=youtube_details&id=<?php echo $item['id']['videoId']; ?>"><?php echo mb_substr($item['snippet']['title'],0,60,'UTF-8'); ?></a></div>
<div class="video-tools">
<div class="col-xs-6 first-action-div">
<a href="javascript:void();" data-toggle="ajax-modal" data-url="ajax.php?case=youtube_details&id=<?php echo $item['id']['videoId']; ?>" class="text-info"><i class="fa fa-reorder"></i> Details</a>
</div>
<div class="col-xs-6 action-div" id="d<?php echo $item['id']['videoId']; ?>">
<?php if (check_youtube_id($item['id']['videoId']) == 0) { ?>
<a href="javascript:void();" class="import-single-video text-danger" id="<?php echo $item['id']['videoId']; ?>"><i class="fa fa-refresh"></i> Import</a>
<?php } else { ?>	
<span class="text-success"><i class="fa fa-check"></i> Imported</span>
<?php	
}
?>
</div>
</div>
</div>
</div>
<?php
}
?>
</div>
<div class="col-xs-12 pages-line">
<div class="row">
<div class="col-xs-6">
<?php
if (isset($json['prevPageToken'])) {
echo '<a class="btn btn-default" href="videos.php?case=search_youtube&q='.$q.'&order_by='.$order_by.'&max_results='.$max_results.'&search=1&page='.$json['prevPageToken'].'">Previews</a>';	
} 
?>
</div>
<div class="col-xs-6 text-right">
<?php
if (isset($json['nextPageToken'])) {
echo '<a class="btn btn-default"  href="videos.php?case=search_youtube&q='.$q.'&order_by='.$order_by.'&max_results='.$max_results.'&search=1&page='.$json['nextPageToken'].'">Next</a>';	
} 
?>
</div>
</div>
</div>
<?php } ?>
</div>
</div>
<?php
break;	
case 'add';
if (isset($_GET['youtube_video_url'])) {
$youtube_video_url = make_safe($_GET['youtube_video_url']);
$u = parse_url($youtube_video_url);
$youtube_id = str_replace('v=','',$u['query']);
if (check_youtube_id($youtube_id) == 0) {
$baseUrl = 'https://www.googleapis.com/youtube/v3/';
$apiKey = $general_setting['apikey'];
$url = $baseUrl .'videos?' .
		'id=' .$youtube_id.
		'&part=snippet' . 
		'&key=' . $apiKey;
$json = json_decode(file_get_contents($url), true);

if (count($json['items']) > 0) {
$videt = json_decode(file_get_contents('https://www.googleapis.com/youtube/v3/videos?id='.$youtube_id.'&part=contentDetails&key='.$apiKey), true);
$video_duration = $videt['items'][0]['contentDetails']['duration'];
preg_match_all('!\d+!', $video_duration, $matches);
if (isset($matches[0][0])) {
$m = $matches[0][0];
} else {
$m = 0;	
}
if (isset($matches[0][1])) {
$s = $matches[0][1];
} else {
$s = 0;	
}
$duration = ($m*60)+$s;
$fetched = true;	
} else {
$message = notification('warning','Invalid Url');	
}
} else {
$message = notification('warning','This Video is Added Before.');	
}
}
if (isset($_POST['submit'])) {
$title = make_safe(xss_clean(htmlspecialchars($_POST['title'],ENT_QUOTES)));
$details = htmlspecialchars($_POST['details'],ENT_QUOTES);
$category_id = make_safe(xss_clean(intval($_POST['category_id'])));
if (isset($_POST['published'])) {
$published = make_safe(xss_clean(intval($_POST['published'])));	
} else {
$published = 0;	
}
if (isset($_POST['duration'])) {
$duration = make_safe(xss_clean(intval($_POST['duration'])));	
} else {
$duration = 0;	
}
if (empty($title)) {
$message = notification('warning','Insert The Title Please.');	
} elseif (empty($category_id)) {
$message = notification('warning','Choose a Category Please.');	
} else {
if (!empty($_FILES['thumbnail']['name'])) {
$up = new fileDir('../upload/videos/');
$thumbnail = $up->upload($_FILES['thumbnail']);
} else {
$thumb = $_POST['image'];
$filetype = strtolower(substr(strrchr($thumb,'.'),1));
$thumbnail = $youtube_id.'.'.$filetype;
$up = file_put_contents('../upload/videos/'.$thumbnail,file_get_contents($thumb));
}
$datetime = time();
$day = date('j');
$month = date('n');
$year = date('Y');	
$sql = "INSERT INTO videos (title,youtube_id,details,category_id,thumbnail,duration,user_id,permalink,datetime,published,day,month,year) VALUES ('$title','$youtube_id','$details','$category_id','$thumbnail','$duration','0','$youtube_video_url','$datetime','$published','$day','$month','$year')";
$query = $mysqli->query($sql);
if ($query) {
$message = notification('success','Video Added Successfully.');	
} else {
$message = notification('danger','Error Happened.');	
}
}
}
?>
			<div class="page-header page-heading">
				<h1>Add Video
				<a href="videos.php" class="btn btn-default  pull-right"><span class="fa fa-arrow-right"></span></a>
				</h1>
			</div>
			<?php if (isset($message)) {echo $message;} ?>
		<form role="form" method="GET" action="videos.php" enctype="multipart/form-data">
		<input type="hidden" name="case" value="add" />
		  <div class="form-group">
			<label for="youtube_video_url">Youtube Video Url <span>*</span></label>
			<input type="text" class="form-control" name="youtube_video_url" placeholder="http://youtube.com/watch?v=_OBlgSz8sSM" <?php if (isset($_GET['youtube_video_url'])) {?>value="<?php echo $_GET['youtube_video_url']; ?>"<?php } ?> />
		  </div>
		  <?php if (!isset($fetched)) { ?><button type="submit" class="btn btn-primary">Fetch Details</button><?php } ?>
		</form>

		<?php if (isset($fetched)) { ?>
		<form role="form" method="POST" action="" enctype="multipart/form-data">
		  <div class="form-group">
			<label for="category">Title <span>*</span></label>
			<input type="text" class="form-control" name="title" id="title" value="<?php echo $json['items'][0]['snippet']['title']; ?>" />
		  </div>
		  <div class="form-group">
			<label for="details">Details</label>
			<textarea class="form-control wysiwyg" name="details" id="details" rows="15" ><?php echo $json['items'][0]['snippet']['description']; ?></textarea>
		  </div>
		  <div class="form-group">
			<label for="category_id">Category <span>*</span></label>
			<select class="form-control" name="category_id" id="category_id">
			<?php 
			$categories = $general->categories('category_order ASC');
			foreach ($categories AS $category) {
			?>
			<option value="<?php echo $category['id']; ?>"><?php echo $category['category']; ?></option>
			<?php			
			}
			?>
			</select>
		  </div>
		  <div class="form-group">
			<label for="category_id">Image</label>
			<div class="fileinput fileinput-new input-group" data-provides="fileinput">
			  <div class="form-control" data-trigger="fileinput"><i class="glyphicon glyphicon-file fileinput-exists"></i> <span class="fileinput-filename"></span></div>
			  <span class="input-group-addon btn btn-default btn-file"><span class="fileinput-new">Select file</span><span class="fileinput-exists">Change</span><input type="file" name="thumbnail"></span>
			  <a href="#" class="input-group-addon btn btn-default fileinput-exists" data-dismiss="fileinput">Remove</a>
			</div>
			<div id="original-image">
			<img src="<?php 
			if (isset($json['items'][0]['snippet']['thumbnails']['standard']['url'])) { 
			echo $json['items'][0]['snippet']['thumbnails']['standard']['url'];
			} else {
			echo $json['items'][0]['snippet']['thumbnails']['high']['url'];	
			}			
			?>" />
			</div>
			</div>
		  <div class="form-group">
			<input type="checkbox" name="published" id="published" value="1" /> <span class="checkbox-label">Publish Video ?</span>
		  </div>
		  <input type="hidden" name="duration" id="duration" value="<?php if (isset($duration)) {echo $duration;} ?>" />
		  <input type="hidden" name="image" value="<?php if (isset($json['items'][0]['snippet']['thumbnails']['standard']['url'])) { 
			echo $json['items'][0]['snippet']['thumbnails']['standard']['url'];
			} else {
			echo $json['items'][0]['snippet']['thumbnails']['high']['url'];	
			}	?>" />
		  <button type="submit" name="submit" class="btn btn-primary">Save</button>
		  </div>
		</form>
		<?php } ?>
<?php
break;
case 'edit';
$id = abs(intval(make_safe(xss_clean($_GET['id']))));
if (isset($_POST['submit'])) {
$title = make_safe(xss_clean(htmlspecialchars($_POST['title'],ENT_QUOTES)));
$details = htmlspecialchars($_POST['details'],ENT_QUOTES);
$category_id = make_safe(xss_clean(intval($_POST['category_id'])));
if (isset($_POST['published'])) {
$published = make_safe(xss_clean(intval($_POST['published'])));	
} else {
$published = 0;	
}	
if (empty($title)) {
$message = notification('warning','Insert The Title Please.');	
} elseif (empty($details)) {
$message = notification('warning','Write Some Details Please.');	
} elseif (empty($category_id)) {
$message = notification('warning','Choose a Category Please.');	
} else {
if (!empty($_FILES['thumbnail']['name'])) {
$up = new fileDir('../upload/videos/');
$thumbnail = $up->upload($_FILES['thumbnail']);
$up->delete("$_POST[old_thumbnail]");
} else {
$thumbnail = $_POST['old_thumbnail'];
}
$sql = "UPDATE videos SET title='$title',details='$details',category_id='$category_id',thumbnail='$thumbnail',published='$published' WHERE id='$id'";
$query = $mysqli->query($sql);
if ($query) {
$message = notification('success','Video Edited Successfully.');	
} else {
$message = notification('danger','Error Happened.');	
}
}
}
$videos = $general->video($id);
?>
			<div class="page-header page-heading">
				<h1>Edit Video
				<a href="videos.php" class="btn btn-default  pull-right"><span class="fa fa-arrow-right"></span></a>
				</h1>
			</div>
			<?php if (isset($message)) {echo $message;} ?>
		<form role="form" method="POST" action="" enctype="multipart/form-data">
		  <div class="form-group">
			<label for="category">Title <span>*</span></label>
			<input type="text" class="form-control" name="title" id="title" value="<?php if (isset($videos['title'])) {echo $videos['title'];} ?>" />
		  </div>
		  <div class="form-group">
			<label for="category_id">Category <span>*</span></label>
			<select class="form-control" name="category_id" id="category_id">
			<?php 
			$categories = $general->categories('category_order ASC');
			foreach ($categories AS $category) {
			?>
			<option value="<?php echo $category['id']; ?>" <?php if (isset($videos['category_id']) AND $videos['category_id'] == $category['id']) {echo 'SELECTED';} ?>><?php echo $category['category']; ?></option>
			<?php			
			}
			?>
			</select>
		  </div>
		  <div class="form-group">
			<label for="category_id">Image</label>
			<div class="fileinput fileinput-new input-group" data-provides="fileinput">
			  <div class="form-control" data-trigger="fileinput"><i class="glyphicon glyphicon-file fileinput-exists"></i> <span class="fileinput-filename"></span></div>
			  <span class="input-group-addon btn btn-default btn-file"><span class="fileinput-new">Select file</span><span class="fileinput-exists">Change</span><input type="file" name="thumbnail"></span>
			  <a href="#" class="input-group-addon btn btn-default fileinput-exists" data-dismiss="fileinput">Remove</a>
			</div>
			<?php if (!empty($videos['thumbnail'])) { ?>
			<p>Current Image : <a href="javascript:void();" data-toggle="popover" data-placement="top" title="Current Image" data-content="<img src='../upload/videos/<?php echo $videos['thumbnail']; ?>' class='img-responsive' />"><?php echo $videos['thumbnail']; ?></a></p>
			<?php } ?>
			</div>
		  <div class="form-group">
			<label for="details">Details</label>
			<textarea class="form-control" name="details" id="details" rows="5" ><?php if (isset($videos['details'])) {echo htmlspecialchars_decode($videos['details'],ENT_QUOTES);} ?></textarea>
		  </div>
		  <div class="form-group">
			<input type="checkbox" name="published" id="published" value="1" <?php if (isset($videos['published']) AND $videos['published'] == 1) {echo 'CHECKED';} ?> /> <span class="checkbox-label">Publish Video ?</span>
		  </div>
		  <input type="hidden" name="old_thumbnail" value="<?php if (isset($videos['thumbnail'])) {echo $videos['thumbnail'];} ?>" />
		  <button type="submit" name="submit" class="btn btn-primary">Save</button>
		</form>
<?php
break;
case 'delete';
$id = abs(intval(make_safe(xss_clean($_GET['id']))));
if (isset($_POST['unpublish'])) {
$delete = $mysqli->query("UPDATE videos SET published='0' WHERE id='$id'");
if ($delete) {
$message = notification('success','Video Have Been Unpublished Successfully.');
$done = true;
} else {
$message = notification('danger','Error Happened.');
}
}
if (isset($_POST['delete'])) {
$sql = "SELECT * FROM videos WHERE id='$id'";
$query = $mysqli->query($sql);
if ($query->num_rows > 0) {
$row = $query->fetch_assoc();
if (!empty($row['thumbnail']) AND file_exists('../upload/videos/'.$row['thumbnail'])) {
@unlink('../upload/videos/'.$row['thumbnail']);	
}
}
$delete = $mysqli->query("DELETE FROM videos WHERE id='$id'");
if ($delete) {
$message = notification('success','Video Deleted Successfully.');
$done = true;
} else {
$message = notification('danger','Error Happened.');
}
}
$videos = $general->video($id);
?>
			<div class="page-header page-heading">
				<h1>Delete Video
				<a href="videos.php" class="btn btn-default  pull-right"><span class="fa fa-arrow-right"></span></a>
				</h1>
			</div>
			<?php if (isset($message)) {echo $message;} ?>
		  <form role="form" method="POST" action="">
		  <?php if (!isset($done)) { ?>
			<div class="alert alert-warning">You Can Either <b>Unpublish</b> or <b>Delete</b> the Video : <b><?php echo htmlspecialchars_decode($videos['title'],ENT_QUOTES); ?></b>. If you Choose to Delete you Can't Undo this Action Later.</div>
		  <?php } ?>
		  <?php if (isset($done)) { ?>
		  <a href="videos.php" class="btn btn-default">Back To Videos</a>
		  <?php } else { ?>
		  <button type="submit" name="unpublish" class="btn btn-warning">Unpublish</button>
		  <button type="submit" name="delete" class="btn btn-danger">Permanent Delete</button>
		  <?php } ?>
		</form>
<?php
break;
case 'search';
$q = make_safe(xss_clean($_GET['q']));
$published = intval(make_safe(xss_clean($_GET['published'])));
?>
<div class="page-header page-heading">
	<h1 class="row"><div class="col-md-6"><i class="fa fa-search"></i> Search For <?php echo $q; ?> In <?php if ($published == 1) {echo 'Published';} else {echo 'Deleted';} ?> Videos</div>
	<div class="col-md-6">
	<div class="pull-right search-form">
	<form method="GET" action="videos.php">
		<div class="input-group">
		  <input type="hidden" name="case" value="search" />
		  <input type="hidden" name="published" value="<?php echo $published; ?>" />
		  <input type="text" name="q" class="form-control" placeholder="Search" value="<?php echo $q; ?>" />
		  <span class="input-group-addon"><button class="btn-link"><span class="fa fa-search"></span></button></span>
		</div>
	</form>
	</div>
	<a href="videos.php?case=add" class="btn btn-success pull-right" data-toggle="tooltip" data-placement="top" title="Add New Video"><span class="fa fa-plus"></span></a>
	<a href="videos.php?case=deleted" class="btn btn-danger pull-right" data-toggle="tooltip" data-placement="top" title="Deleted Videos"><span class="fa fa-trash"></span></a>
	<a href="videos.php" class="btn btn-default pull-right" data-toggle="tooltip" data-placement="top" title="Published Videos"><span class="fa fa-youtube-square"></span></a>
	</div>
	</h1>
</div>
<?php
if (isset($message)) {echo $message;}
$page = 1;
$size = 20;
if (isset($_GET['page'])){ $page = (int) $_GET['page']; }
$sqls = "SELECT * FROM videos WHERE published='$published' AND title LIKE '%$q%' ORDER BY id DESC";
$query = $mysqli->query($sqls);
$total_records = $query->num_rows;
if ($total_records == 0) {
echo notification('warning','There Are No Results.');
} else {
$pagination = new Pagination();
$pagination->setLink("?case=search&published=$published&page=%s&q=$q");
$pagination->setPage($page);
$pagination->setSize($size);
$pagination->setTotalRecords($total_records);
$get = "SELECT * FROM videos WHERE published='$published' AND title LIKE '%$q%' ORDER BY id DESC ".$pagination->getLimitSql();
$q = $mysqli->query($get);
?>
<table width="100%" cellpadding="5" cellspacing="0" class="table table-striped">
    <thead>
        <tr>
			<th>Title</th>
			<th class="hidden-xs">Category</th>
			<th class="hidden-xs">User</th>
			<th class="hidden-xs">Publish Date</th>
            <th width="80"></th>
        </tr>
    </thead>
	<tbody>
<?php 
while ($row = $q->fetch_assoc()) {
?>
		<tr>
			<td><?php if (!empty($row['thumbnail'])) { ?><span class="fa fa-photo has-image"></span><?php } ?><?php echo htmlspecialchars_decode($row['title'],ENT_QUOTES); ?></td>
			<td class="hidden-xs"><a href="videos.php?case=category&id=<?php echo $row['category_id']; ?>"><?php echo get_category($row['category_id']); ?></a></td>
			<td class="hidden-xs"><a href="videos.php?case=user&id=<?php echo $row['user_id']; ?>"><?php echo get_user($row['user_id']); ?></a></td>
			<td class="hidden-xs"><?php echo date('Y-n-j h:i a',$row['datetime']); ?></td>
			<td align="right">
				<a class="btn btn-default btn-xs" href="videos.php?case=edit&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Edit"><span class="fa fa-edit"></span></a>
				<a class="btn btn-danger btn-xs" href="videos.php?case=delete&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Delete"><span class="fa fa-close"></span></a>
			</td>
		</tr>
<?php
}
?>
	</tbody>
</table>
<div class="videos-actions">
<div class="row">
<div class="col-xs-12"><?php echo $pagination->create_links(); ?></div>
</div>
</div>
<?php
}		
break;
case 'category';
$id = intval(make_safe(xss_clean($_GET['id'])));
if (isset($_POST['delete']) AND isset($_POST['id'])) {
	$ids = $_POST['id'];
	$count= count($ids);
	for($i=0;$i<$count;$i++){
	$del_id = $ids[$i];
	$sql = "UPDATE videos SET published='0' WHERE id='$del_id'";
	$res = $mysqli->query($sql);
	if ($res) {
	$message = notification('success','The Selected Videos Was Deleted Successfully.');
	} else {
	$message = notification('error','Error Happened');
	}
	}
}
$category = $general->category($id);
?>
<div class="page-header page-heading">
	<h1><i class="fa fa-reorder"></i> Videos About <?php echo $category['category']; ?></h1>
</div>
<?php
if (isset($message)) {echo $message;}
$page = 1;
$size = 20;
if (isset($_GET['page'])){ $page = (int) $_GET['page']; }
$sqls = "SELECT * FROM videos WHERE published='1' AND category_id='$id' ORDER BY id DESC";
$query = $mysqli->query($sqls);
$total_records = $query->num_rows;
if ($total_records == 0) {
echo notification('warning','There Are No Published Videos About '.$category['category'].'.');
} else {
$pagination = new Pagination();
$pagination->setLink("?case=category&id=$id&page=%s");
$pagination->setPage($page);
$pagination->setSize($size);
$pagination->setTotalRecords($total_records);
$get = "SELECT * FROM videos WHERE published='1' AND category_id='$id' ORDER BY id DESC ".$pagination->getLimitSql();
$q = $mysqli->query($get);
?>
<form role="form" method="POST" action="">
<table width="100%" cellpadding="5" cellspacing="0" class="table table-striped">
    <thead>
        <tr>
			<th width="15"><input type="checkbox" class="parentCheckBox" /></th>
			<th>Title</th>
			<th class="hidden-xs">User</th>
			<th class="hidden-xs">Publish Date</th>
            <th width="80"></th>
        </tr>
    </thead>
	<tbody>
<?php 
while ($row = $q->fetch_assoc()) {
?>
		<tr>
			<td><input type="checkbox" name="id[]" class="childCheckBox" value="<?php echo $row['id']; ?>" /></td>
			<td><?php echo htmlspecialchars_decode($row['title'],ENT_QUOTES); ?></td>
			<td class="hidden-xs"><a href="videos.php?case=user&id=<?php echo $row['user_id']; ?>"><?php echo get_user($row['user_id']); ?></a></td>
			<td class="hidden-xs"><?php echo date('Y-n-j h:i a',$row['datetime']); ?></td>
			<td align="right">
				<a class="btn btn-default btn-xs" href="videos.php?case=edit&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Edit"><span class="fa fa-edit"></span></a>
				<a class="btn btn-danger btn-xs" href="videos.php?case=delete&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Delete"><span class="fa fa-close"></span></a>
			</td>
		</tr>
<?php
}
?>
	</tbody>
</table>
<div class="videos-actions">
<div class="row">
<div class="col-sm-3 col-md-4">
<button type="submit" name="delete" class="btn btn-danger"><span class="fa fa-trash"></span> Delete</button>
</div>
<div class="col-sm-9 col-md-8"><?php echo $pagination->create_links(); ?></div>
</div>
</div>
</form>
<?php
}	
break;
case 'user';
$id = intval(make_safe(xss_clean($_GET['id'])));
if (isset($_POST['delete']) AND isset($_POST['id'])) {
	$ids = $_POST['id'];
	$count= count($ids);
	for($i=0;$i<$count;$i++){
	$del_id = $ids[$i];
	$sql = "UPDATE videos SET published='0' WHERE id='$del_id'";
	$res = $mysqli->query($sql);
	if ($res) {
	$message = notification('success','The Selected Videos Was Deleted Successfully.');
	} else {
	$message = notification('error','Error Happened');
	}
	}
}
?>
<div class="page-header page-heading">
	<h1><i class="fa fa-rss"></i> Videos By <?php echo get_user($id); ?></h1>
</div>
<?php
if (isset($message)) {echo $message;}
$page = 1;
$size = 20;
if (isset($_GET['page'])){ $page = (int) $_GET['page']; }
$sqls = "SELECT * FROM videos WHERE published='1' AND user_id='$id' ORDER BY id DESC";
$query = $mysqli->query($sqls);
$total_records = $query->num_rows;
if ($total_records == 0) {
echo notification('warning','There Are No Published Videos From '.$user['title'].'.');
} else {
$pagination = new Pagination();
$pagination->setLink("?case=user&id=$id&page=%s");
$pagination->setPage($page);
$pagination->setSize($size);
$pagination->setTotalRecords($total_records);
$get = "SELECT * FROM videos WHERE published='1' AND user_id='$id' ORDER BY id DESC ".$pagination->getLimitSql();
$q = $mysqli->query($get);
?>
<form role="form" method="POST" action="">
<table width="100%" cellpadding="5" cellspacing="0" class="table table-striped">
    <thead>
        <tr>
			<th width="15"><input type="checkbox" class="parentCheckBox" /></th>
			<th>Title</th>
			<th class="hidden-xs">Category</th>
			<th class="hidden-xs">Publish Date</th>
            <th width="80"></th>
        </tr>
    </thead>
	<tbody>
<?php 
while ($row = $q->fetch_assoc()) {
?>
		<tr>
			<td><input type="checkbox" name="id[]" class="childCheckBox" value="<?php echo $row['id']; ?>" /></td>
			<td><?php echo htmlspecialchars_decode($row['title'],ENT_QUOTES); ?></td>
			<td class="hidden-xs"><a href="videos.php?case=category&id=<?php echo $row['category_id']; ?>"><?php echo get_category($row['category_id']); ?></a></td>			
			<td class="hidden-xs"><?php echo date('Y-n-j h:i a',$row['datetime']); ?></td>
			<td align="right">
				<a class="btn btn-default btn-xs" href="videos.php?case=edit&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Edit"><span class="fa fa-edit"></span></a>
				<a class="btn btn-danger btn-xs" href="videos.php?case=delete&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Delete"><span class="fa fa-close"></span></a>
			</td>
		</tr>
<?php
}
?>
	</tbody>
</table>
<div class="videos-actions">
<div class="row">
<div class="col-sm-3 col-md-4">
<button type="submit" name="delete" class="btn btn-danger"><span class="fa fa-trash"></span> Delete</button>
</div>
<div class="col-sm-9 col-md-8"><?php echo $pagination->create_links(); ?></div>
</div>
</div>
</form>
<?php
}	
break;
case 'deleted';
if (isset($_POST['restore']) AND isset($_POST['id'])) {
	$ids = $_POST['id'];
	$count= count($ids);
	for($i=0;$i<$count;$i++){
	$del_id = $ids[$i];
	$sql = "UPDATE videos SET published='1' WHERE id='$del_id'";
	$res = $mysqli->query($sql);
	if ($res) {
	$message = notification('success','The Selected Videos Was Restored Successfully.');
	} else {
	$message = notification('error','Error Happened');
	}
	}
}
if (isset($_POST['delete']) AND isset($_POST['id'])) {
	$ids = $_POST['id'];
	$count= count($ids);
	for($i=0;$i<$count;$i++){
	$del_id = $ids[$i];
	$sql = "SELECT id,thumbnail FROM videos WHERE id='$del_id'";
	$query = $mysqli->query($sql);
	$row = $query->fetch_assoc();
		if (file_exists('../upload/videos/'.$row['thumbnail'])) {
			@unlink('../upload/videos/'.$row['thumbnail']);
		}
	$delete = $mysqli->query("DELETE FROM videos WHERE id='$del_id'");
	if ($delete) {
	$message = notification('success','The Selected Videos Was Deleted Permanently.');
	} else {
	$message = notification('error','Error Happened');
	}
	}
}
?>
<div class="page-header page-heading">
	<h1 class="row"><div class="col-md-6"><i class="fa fa-trash"></i> Deleted Videos</div>
	<div class="col-md-6">
	<div class="pull-right search-form">
	<form method="GET" action="videos.php">
		<div class="input-group">
		  <input type="hidden" name="case" value="search" />
		  <input type="hidden" name="published" value="0" />
		  <input type="text" name="q" class="form-control" placeholder="Search">
		  <span class="input-group-addon"><button class="btn-link"><span class="fa fa-search"></span></button></span>
		</div>
	</form>
	</div>
	<a href="videos.php?case=add" class="btn btn-success pull-right" data-toggle="tooltip" data-placement="top" title="Add New Video"><span class="fa fa-plus"></span></a>
	<a href="videos.php" class="btn btn-default pull-right" data-toggle="tooltip" data-placement="top" title="Published Videos"><span class="fa fa-youtube-square"></span></a>
	</div>
	</h1>
</div>
<?php
if (isset($message)) {echo $message;}
$page = 1;
$size = 20;
if (isset($_GET['page'])){ $page = (int) $_GET['page']; }
$sqls = "SELECT * FROM videos WHERE published='0' ORDER BY id DESC";
$query = $mysqli->query($sqls);
$total_records = $query->num_rows;
if ($total_records == 0) {
echo notification('warning','There Are No Deleted Videos.');
} else {
$pagination = new Pagination();
$pagination->setLink("?case=deleted&page=%s");
$pagination->setPage($page);
$pagination->setSize($size);
$pagination->setTotalRecords($total_records);
$get = "SELECT * FROM videos WHERE published='0' ORDER BY id DESC ".$pagination->getLimitSql();
$q = $mysqli->query($get);
?>
<form role="form" method="POST" action="">
<table width="100%" cellpadding="5" cellspacing="0" class="table table-striped">
    <thead>
        <tr>
			<th width="15"><input type="checkbox" class="parentCheckBox" /></th>
			<th>Title</th>
			<th class="hidden-xs">Category</th>
			<th class="hidden-xs">User</th>
			<th class="hidden-xs">Publish Date</th>
            <th width="80"></th>
        </tr>
    </thead>
	<tbody>
<?php 
while ($row = $q->fetch_assoc()) {
?>
		<tr>
			<td><input type="checkbox" name="id[]" class="childCheckBox" value="<?php echo $row['id']; ?>" /></td>
			<td><?php echo htmlspecialchars_decode($row['title'],ENT_QUOTES); ?></td>
			<td class="hidden-xs"><a href="videos.php?case=category&id=<?php echo $row['category_id']; ?>"><?php echo get_category($row['category_id']); ?></a></td>
			<td class="hidden-xs"><a href="videos.php?case=user&id=<?php echo $row['user_id']; ?>"><?php echo get_user($row['user_id']); ?></a></td>
			<td class="hidden-xs"><?php echo date('Y-n-j h:i a',$row['datetime']); ?></td>
			<td align="right">
				<a class="btn btn-default btn-xs" href="videos.php?case=edit&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Edit"><span class="fa fa-edit"></span></a>
				<a class="btn btn-danger btn-xs" href="videos.php?case=delete&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Delete"><span class="fa fa-close"></span></a>
			</td>
		</tr>
<?php
}
?>
	</tbody>
</table>
<div class="videos-actions">
<div class="row">
<div class="col-sm-3 col-md-4">
<button type="submit" name="restore" class="btn btn-success"><span class="fa fa-refresh"></span> Restore</button>
<button type="submit" name="delete" class="btn btn-danger"><span class="fa fa-trash"></span> Permanent Delete</button>
</div>
<div class="col-sm-9 col-md-8"><?php echo $pagination->create_links(); ?></div>
</div>
</div>
</form>
<?php
}		
break;
default;
if (isset($_POST['delete']) AND isset($_POST['id'])) {
	$ids = $_POST['id'];
	$count= count($ids);
	for($i=0;$i<$count;$i++){
	$del_id = $ids[$i];
	$sql = "UPDATE videos SET published='0' WHERE id='$del_id'";
	$res = $mysqli->query($sql);
	if ($res) {
	$message = notification('success','The Selected Videos Was Deleted Successfully.');
	} else {
	$message = notification('error','Error Happened');
	}
	}
}
?>
<div class="page-header page-heading">
	<h1 class="row"><div class="col-md-6"><i class="fa fa-youtube-square"></i> Published Videos</div>
	<div class="col-md-6">
	<div class="pull-right search-form">
	<form method="GET" action="videos.php">
		<div class="input-group">
		  <input type="hidden" name="case" value="search" />
		  <input type="hidden" name="published" value="1" />
		  <input type="text" name="q" class="form-control" placeholder="Search in videos">
		  <span class="input-group-addon"><button class="btn-link"><span class="fa fa-search"></span></button></span>
		</div>
	</form>
	</div>
	<a href="videos.php?case=add" class="btn btn-success pull-right" data-toggle="tooltip" data-placement="top" title="Add New Video"><span class="fa fa-plus"></span></a>
	<a href="videos.php?case=deleted" class="btn btn-danger pull-right" data-toggle="tooltip" data-placement="top" title="Deleted Videos"><span class="fa fa-trash"></span></a>
	<a href="videos.php?case=search_youtube" class="btn btn-default pull-right" data-toggle="tooltip" data-placement="top" title="Search In youtube.com"><span class="fa fa-youtube"></span></a>
	</div>
	</h1>
</div>
<?php
if (isset($message)) {echo $message;}
$page = 1;
$size = 20;
if (isset($_GET['page'])){ $page = (int) $_GET['page']; }
$sqls = "SELECT * FROM videos WHERE published='1' ORDER BY id DESC";
$query = $mysqli->query($sqls);
$total_records = $query->num_rows;
if ($total_records == 0) {
echo notification('warning','There Are No Published Videos.');
} else {
$pagination = new Pagination();
$pagination->setLink("?page=%s");
$pagination->setPage($page);
$pagination->setSize($size);
$pagination->setTotalRecords($total_records);
$get = "SELECT * FROM videos WHERE published='1' ORDER BY id DESC ".$pagination->getLimitSql();
$q = $mysqli->query($get);
?>
<form role="form" method="POST" action="">
<table width="100%" cellpadding="5" cellspacing="0" class="table table-striped">
    <thead>
        <tr>
			<th width="15"><input type="checkbox" class="parentCheckBox" /></th>
			<th>Title</th>
			<th class="hidden-xs">Category</th>
			<th class="hidden-xs">User</th>
			<th class="hidden-xs">Hits</th>
			<th class="hidden-xs">Publish Date</th>
            <th width="80"></th>
        </tr>
    </thead>
	<tbody>
<?php 
while ($row = $q->fetch_assoc()) {
?>
		<tr>
			<td><input type="checkbox" name="id[]" class="childCheckBox" value="<?php echo $row['id']; ?>" /></td>
			<td><?php echo htmlspecialchars_decode($row['title'],ENT_QUOTES); ?></td>
			<td class="hidden-xs"><a href="videos.php?case=category&id=<?php echo $row['category_id']; ?>"><?php echo get_category($row['category_id']); ?></a></td>
			<td class="hidden-xs"><a href="videos.php?case=user&id=<?php echo $row['user_id']; ?>"><?php echo get_user($row['user_id']); ?></a></td>
			<td class="hidden-xs"><?php echo $row['hits']; ?></td>
			<td class="hidden-xs"><?php echo date('Y-n-j h:i a',$row['datetime']); ?></td>
			<td align="right">
				<a class="btn btn-default btn-xs" href="videos.php?case=edit&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Edit"><span class="fa fa-edit"></span></a>
				<a class="btn btn-danger btn-xs" href="videos.php?case=delete&id=<?php echo $row['id']; ?>" data-toggle="tooltip" data-placement="top" title="Delete"><span class="fa fa-close"></span></a>
			</td>
		</tr>
<?php
}
?>
	</tbody>
</table>
<div class="videos-actions">
<div class="row">
<div class="col-sm-2 col-md-3"><button type="submit" name="delete" class="btn btn-danger"><span class="fa fa-trash"></span> Delete</button></div>
<div class="col-sm-10 col-md-9"><?php echo $pagination->create_links(); ?></div>
</div>
</div>
</form>
<?php
} 
} 
include('footer.php');
?>